EPG

Index of published channels

GET
/v1/channels.json

Scope: feeds:read

Authorization

apiKey
headerAuthorizationBearer <ik_live_…>

An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.

Response Body

OK

application/json
  1. response
[key: string]?any
Example Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/channels.json'
Example Response
{  "channels": [    {      "archetype": "movie",      "feeds": {        "scheduleJson": "https://cdn.ingenee.ai/schedule/e2e-ad-channel.json",        "xmltv": "https://cdn.ingenee.ai/epg/e2e-ad-channel.xml"      },      "horizonDays": 8,      "id": "8a7137f9-77ac-4774-b477-09e2a05c4de8",      "name": "E2E Ad Channel",      "region": "US",      "slug": "e2e-ad-channel",      "status": "live"    },    {      "archetype": "movie",      "feeds": {        "scheduleJson": "https://cdn.ingenee.ai/schedule/e2e-ad-channel-india.json",        "xmltv": "https://cdn.ingenee.ai/epg/e2e-ad-channel-india.xml"      },      "horizonDays": 8,      "id": "1dad8739-b86a-4f5e-ab64-28b7f72a717d",      "name": "E2E Ad Channel India",      "region": "US",      "slug": "e2e-ad-channel-india",      "status": "live"    }  ],  "count": 11,  "version": 1}